/* gvSIG. Sistema de Información Geográfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004-2006 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibañez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *   +34 963862235
 *   gvsig@gva.es
 *   www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package org.gvsig.publish.geoserver.conf;

import org.gvsig.publish.geoserver.model.GeoserverWMSService;
import org.gvsig.publish.ogcmetadata.IOGCServiceMetadata;


/**
 * This class represents the Geoserver WMS Configuration
 * @author jvhigon
 *
 */
public class GSWMS extends GSService {
	private GeoserverWMSService geoserverwms;
	/**
	 * Constructor
	 * @param geoserverwms
	 */
	public GSWMS(GeoserverWMSService geoserverwms) {		
		super((IOGCServiceMetadata)geoserverwms);
		this.geoserverwms = geoserverwms;
	}

	/**
	 * 
	 * @return "WMS"
	 */
	public String getType() {

		return "WMS";
	}
	/**
	 * 
	 */
//	public Node getXMLElement(Document dom) {		
//		Node rootEle = super.getXMLElement(dom);
//		//TODO:serviceLevel
//		Element paramEle = dom.createElement("propiedad_espcifica_wms");
//		Text txt = dom.createTextNode(new Integer(this.getPropiedadEspecificaWMS()).toString());
//		paramEle.appendChild(txt);
//		rootEle.appendChild(paramEle);
//		//TODO:citeConformanceHacks
//		
//		return rootEle; 
//	}


}
